Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class FunctionFactory

    java.lang.Object
      org.exist.xquery.FunctionFactory

public class FunctionFactory
extends java.lang.Object

Constructor Summary
`FunctionFactory()`

Method Summary
`static Expression` | `createFunction(XQueryContext context, XQueryAST ast, PathExpr parent, java.util.List params)` Create a function call.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionFactory

    public FunctionFactory()

Method Detail

### createFunction

    public static Expression createFunction(XQueryContext context,
                                            XQueryAST ast,
                                            PathExpr parent,
                                            java.util.List params)
                                     throws XPathException

  Create a function call. This method handles all calls to built-in or user-defined functions. It also deals with constructor functions and optimizes some function calls like starts-with, ends-with or contains.

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.